Package jaxe

# Class FonctionNormal

java.lang.Object
jaxe.FonctionNormal

All Implemented Interfaces:
  `Fonction`

public class FonctionNormal extends Object implements Fonction
Fonction permettant de retirer tous les styles dans une sélection.

## Constructor Summary

Constructors
Constructor
Description
`FonctionNormal()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`appliquer(JaxeDocument doc, int start, int end)`
Applique la fonction au document.
`static void`
`tonormal(jaxe.elements.JEStyle je)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FonctionNormal

public FonctionNormal()

## Method Details

### appliquer

public boolean appliquer(JaxeDocument doc, int start, int end)
Description copied from interface: `Fonction`
Applique la fonction au document. La position de la sélection du texte est donnée par start et end. start == end s'il n'y a pas de sélection (dans ce cas c'est juste la position du curseur).

Specified by:
  `appliquer` in interface `Fonction`

### tonormal

public static void tonormal(jaxe.elements.JEStyle je) throws BadLocationException

Throws:
  `BadLocationException`